Summary: Popular Unix Irc client
Name: ircii-EPIC3.004
Version: 2.8.2
Release: 2
Copyright: distributable
Group: Applications/Communications
Source0: ftp.neato.org:/pub/irc/ircii2.8.2-EPIC3.004.tar.gz
Patch0: EPIC3.004-winchan.patch

%description
This is a popular Internet Relay Chat (IRC) client.  It
is a program used to connect to IRC servers around the
globe so that the user can ``chat'' with others.

%prep 
%setup -n ircii-EPIC3.004
%patch -p0

%build
./configure --prefix=/usr
make all CFLAGS="$RPM_OPT_FLAGS -fno-schedule-insns"

%install
make install
rm -f /usr/bin/irc.old
touch /usr/lib/irc/ircII.servers
echo "stlouis.mo.us.undernet.org:6665" >> /usr/lib/irc/ircII.servers
echo "baltimore.ma.us.undernet.org:6664" >> /usr/lib/irc/ircII.servers
echo "des-moines.ia.us.undernet.org:6663" >> /usr/lib/irc/ircII.servers
echo "los-angeles.ca.us.undernet.org" >> /usr/lib/irc/ircII.servers
chmod 644 /usr/lib/irc/ircII.servers

strip /usr/bin/irc-2.8.2-EPIC3.004 /usr/bin/ircserv /usr/bin/ircflush /usr/bin/wserv

%files
/usr/bin/irc
/usr/bin/irc-2.8.2-EPIC3.004
/usr/bin/ircserv
/usr/bin/ircflush
/usr/bin/wserv
/usr/lib/irc/ircII.servers
/usr/lib/irc/script
/usr/lib/irc/translation
